Subject: performance and postgres

From: Quandt Brian <[email-masked]>
Date: Fri, 19 Aug 1994 10:51:25 -0500 (CDT)

Just curious.  What is the performance difference between
writing multiple programs to issue multiple postgres queries,
ie attaching to the database then detaching, versus writing one
program that attaches to the database does all the queries
then detaches?

The reason that Im asking is that I'd like to have people 
access postgres through things like perl scripts but I'm concerend
about the performance of using pgperl since each script will
attache then detach on exiting the perl script.  Another solution
I thought about is to have a daemon that is attached to a named pipe
that the perl scripts communicate with.  This way  the cost of
opening/closing the database is not incurred, however it does
present some problems on multiple users accessing the db, ie there
needs to be a locking mechanism on the pipe.  Any suggestions would
be helpful

Brian quandt

==============================================================================
   To add/remove yourself to/from the POSTGRES mailing list: send mail with 
   the subject line ADD or DEL to "[email-masked]"

   If this fails, send mail to "[email-masked]" and
   a human will deal with it.  DO NOT post to the "postgres" mailing list.
==============================================================================